body{
  box-sizing: border-box;
  padding: 10px 20px 30px;
  background: #eee;
  font-family: sans-serif;
}

.wrap{
  margin: 10px 20px;
  background: #fff;
  padding: 10px 20px 30px;
}
.buttonAnimated{
    width: 100px;
    height: 30px;
    background: white;
    transition: 1s;
    outline: none;
}
.buttonAnimated.animation{
  width: 350px;
  height: 50px;
  background: red;
}
.eventButton{

}
.eventButton.unactive{
  background: #eee;
  color: #a8a8a8;
}

#error{
  color: red;
}

#bubbleParent{
  margin-top: 20px;
  padding: 20px 30px;
  border: 1px solid blue;
}
#bubbleParent:hover{
  background: blue;
}
#bubbleChild{
  padding: 20px 30px;
  border: 1px solid red;
}
#bubbleChild:hover{
  background: red;
}

#slider {
  position: relative;
  width: 512px;
  min-height: 512px;
  overflow: hidden;
}

.slide {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  width: inherit;
  min-width: inherit;
  min-height: inherit;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  opacity: 0;
}

.-active {
  opacity: 1;
  z-index: 10;
}

.-show-to-left {
  animation: showToLeft 0.5s forwards;
}

.slide.-show-to-right {
  animation: showToRight 0.5s forwards;
}

.-hide-to-left {
  animation: hideToLeft 0.5s forwards;
}

.-hide-to-right {
  animation: hideToRight 0.5s forwards;
}

@keyframes showToLeft {
  0% {
    transform: translateX(100%);
    opacity: 0;
  } 100% {
      transform: translateX(0);
      opacity: 1;
    }
}

@keyframes showToRight {
  0% {
    transform: translateX(-100%);
    opacity: 0;
  } 100% {
      transform: translateX(0);
      opacity: 1;
    }
}

@keyframes hideToLeft {
  0% {
    transform: translateX(0);
    opacity: 1;
  } 100% {
      transform: translateX(-100%);
      opacity: 0;
    }
}

@keyframes hideToRight {
  0% {
    transform: translateX(0);
    opacity: 1;
  } 100% {
      transform: translateX(100%);
      opacity: 0;
    }
}

.loadedImage{
  transform: rotate(390deg);
  transition: 0.5s;
}
